> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Dashboard Report

This endpoint sends a formatted email that contains the dashboard screenshot in the email itself. The email format is configured in the Explo application. This endpoint is rate limited based on the corresponding docs [here](/security/security-faqs#do-explos-api-endpoints-have-a-rate-limit).

<Note>
  If a dashboard version is tagged with an `email` environment tag, that version
  will be used for the emails. Otherwise, the version tagged with `production`
  will be used. If both do not exist, then it will use the most recent version or draft.
</Note>

### Body

<ParamField body="provided_id" type="string">
  This is your id for your customer that you'd like to screenshot for. This controls what data the
  dashboard loads with in the screenshot.
</ParamField>

<ParamField body="dashboard_embed_id" type="string">
  This is the token you use to embed your dashboard in your site. You can find this on the
  Dashboards page in Explo.
</ParamField>

<ParamField body="email" type="string">
  The email you'd like this screenshot to be send to.
</ParamField>

<ParamField body="subject" type="string" optional="true">
  Set subject for report email. By default this set to Dashboard Email Report.
</ParamField>

<ParamField body="variables" type="object" optional="true">
  Set variables for your report. These will function the same way as variables you provide in your
  embed.
</ParamField>

<ParamField body="custom_url" type="string" optional="true">
  A custom url for the screenshot to link to. If not provided, it will use Explo's share link.
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful initiated. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.explo.co/api/dashboard/report' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>' \
  --data-raw '{
      "provided_id": "123",
      "dashboard_embed_id": "abc123",
      "email": "customer@site.com",
      "subject": "Dashboard Email Report",
      "variables": {
          "url": "https://google.com",
          "date_range":{"startDate": "2024-04-09","endDate": "2024-04-12"}
      },
      "custom_url": "https://google.com"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1
  }
  ```
</ResponseExample>
